import {inject, Injectable} from "@angular/core";
import {HttpClient} from "@angular/common/http";
import {Observable} from "rxjs";
import {Employee} from "../Employee";


@Injectable({
  providedIn: 'root'
})
export default class ApiService {
  private http: HttpClient = inject(HttpClient);

  public deleteById(id: number): Observable<Employee> {
    return this.http.delete(`http://localhost:8089/employees/${id}`)
  }
}
